> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 钱包 - 净值摘要（批量）

> 批量获取多个钱包的当前净值摘要



## OpenAPI

````yaml /cn/api-reference/openapi-data-cn.yaml GET /v2/wallet/{chain}/net-worth-summary
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 区块链相关操作
  - name: Token
    description: 代币相关操作
  - name: Trade
    description: 交易相关操作
  - name: Wallet
    description: 钱包相关操作
  - name: Dex
    description: DEX 相关操作
  - name: Ranking
    description: 排行榜相关操作
  - name: DexPool
    description: DEX 池子相关操作
  - name: Watchlist
    description: 关注列表相关操作
  - name: KYT
    description: KYT 相关操作
  - name: Webhook
    description: Webhook 相关操作
  - name: RedPacket
    description: 红包相关操作
  - name: IPFS
    description: IPFS 相关操作
  - name: DexScreener
    description: DexScreener 相关操作
paths:
  /v2/wallet/{chain}/net-worth-summary:
    get:
      tags:
        - Wallet
      summary: 钱包 - 净值摘要（批量）
      description: 批量获取多个钱包的当前净值摘要
      operationId: get.net.worth.summary
      parameters:
        - name: chain
          in: path
          description: 支持网络列表中的链名称
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: walletAddresses
          in: query
          description: 钱包地址列表，以逗号 (,) 分隔的字符串。最多允许 100 个钱包地址
          required: true
          schema:
            type: string
          example: >-
            3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx,FrxXcJ1uUHa9A5jxgNFBxT4bHBnFVQZbxJa2Je3gjotP
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletNetWorthSummaryResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    WalletNetWorthSummaryResponse:
      type: object
      required:
        - currentTimestamp
        - wallets
      properties:
        currentTimestamp:
          type: string
          description: 当前服务器时间戳
          example: '2025-10-30T03:33:40.980Z'
        wallets:
          type: object
          description: 钱包地址到净值的映射
          additionalProperties:
            $ref: '#/components/schemas/NetWorthSummaryValue'
          propertyNames:
            type: string
          example:
            3bovD5jCRn7eG64jZqyEz6Zbx92mHixZSTRrWLy1Sirx:
              value: '1764819473.530063'
    NetWorthSummaryValue:
      type: object
      required:
        - value
      properties:
        value:
          type: string
          description: 净值（USD 计）
          example: '1764819473.530063'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````